﻿@model IEnumerable<Jumbula.Web.Infrastructure.DataMigration.DataMigrationResultItemViewModel>

@if (Model.Any())
{
    <table class="table">
        <tr>

            <th>
                @Html.DisplayNameFor(model => model.RunDateTime)
            </th>

            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.RunDateTime)
                </td>
                <td>
                    @*@Html.ActionLink("Details", "Details", new { id=item.Id }) |*@
                    <span class="pull-right">
                        @*@Html.ActionLink("Download source", "DownloadSource", new { id = item.Id }) |*@
                        @Html.ActionLink("Download result", "RunReport", new { id = item.Id })
                    </span>
                </td>
            </tr>
        }

    </table>

}
else
{
    <div>This data manipulation didn't run yet.</div>
}